# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "sylfy/version"

Gem::Specification.new do |s|
    s.name          = 'sylfy'
    s.version       = Sylfy::VERSION
    s.date          = '2014-07-03'
    s.platform      = Gem::Platform::RUBY
    
    s.summary       = "Provides some useful functions for systems biology field."
    s.description   = "Systems Biology Library for Ruby"
    s.authors       = ["Natapol Pornputtapong"]
    s.email         = 'natapol.por@gmail.com'

    s.homepage      = 'http://rubygems.org/gems/sylfy'
    s.license       = 'GPL'
    
#    s.rubyforge_project = ""
    
    s.files         = `git ls-files`.split("\n")
    s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
    s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
    s.require_paths = ["lib"]
    
    s.add_dependency "rb-gsl", "~> 1.16"
    s.add_dependency "bio", "~> 1.4"
    s.add_dependency "savon", "~> 2.0"
    s.add_dependency "statsample", "~> 1.0"
    s.add_dependency "rubabel", "~> 0.4"
    
#    s.add_development_dependency "rspec", "~> 2.11"
#    s.add_dependency "httpclient", "~> 2.3.3"

end
